NextSDS Docs

Update inventory item

Update quantity, storage location, or other inventory details.

PATCH
/inventory/{inventoryId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.

In: header

Path Parameters

inventoryId*string

Inventory item UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.nextsds.com/v1/inventory/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "sds_id": "a2a3d943-260b-4ccb-abd6-88a2008098d9",
    "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795",
    "product_name": "string",
    "amount": 0,
    "unit": "kg",
    "container_count": 0,
    "storage_location": "Shelf B-3",
    "usage_description": "string",
    "department": "string",
    "employees": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "type": "https://api.nextsds.com/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing X-API-Key header"
}
{
  "type": "https://api.nextsds.com/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "The requested resource was not found"
}
{
  "type": "https://api.nextsds.com/errors/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "One or more fields failed validation",
  "errors": [
    {
      "field": "name",
      "message": "Name is required"
    }
  ]
}